Bug 964253 - Activating service org.freedesktop.nm_dispatcher causes network break
Activating service org.freedesktop.nm_dispatcher causes network break
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 12:26 EDT by Juha Tuomala
Modified: 2014-02-05 16:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:25:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2013-05-17 12:26:17 EDT
Description of problem:
Complete KDE desktop hang when networkmanager breaks network and NFS home with it. Bug #957786 is proabably related and adding severity, but not the actual root cause.


Version-Release number of selected component (if applicable):
NetworkManager-0.9.8.1-1.git20130327.fc18.x86_64

How reproducible:
No idea. 

Steps to Reproduce:
1. Install Fedora-18 with NFS home and start KDE
2. Use it.
  
Actual results:
Occasional hangups, can last long time, or like this time, around four minutes, one minute pause and another hang.


Additional info:
I had multiple hangups and accroding the wall clock, those all match with /var/log/messages entries.

May 17 18:59:12 wasa dbus-daemon[571]: dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 18:59:12 wasa dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 18:59:12 wasa dbus-daemon[571]: dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 17 18:59:12 wasa dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 17 19:04:17 wasa dbus-daemon[571]: dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 19:04:17 wasa dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 19:04:17 wasa dbus-daemon[571]: dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 17 19:04:17 wasa dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 17 19:09:22 wasa dbus-daemon[571]: dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 19:09:22 wasa dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 19:09:22 wasa dbus-daemon[571]: dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 17 19:09:22 wasa dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 17 19:14:27 wasa dbus-daemon[571]: dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 19:14:27 wasa dbus[571]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 17 19:14:27 wasa dbus-daemon[571]: dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 17 19:14:27 wasa dbus[571]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Comment 1 Juha Tuomala 2013-05-17 12:28:56 EDT
Few lines before the ones in description:

May 17 18:51:28 wasa dbus-daemon[571]: dbus[571]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
May 17 18:51:28 wasa dbus-daemon[571]: dbus[571]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
May 17 18:51:28 wasa dbus[571]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Comment 2 Juha Tuomala 2013-05-17 12:33:20 EDT
I had one hang when writing this bug report. I have network radio running on desktop that uses mplayer, it will keep playing, but a irc-client that is a full kde-program (konversation), breaks connections.
Comment 3 Juha Tuomala 2013-05-17 12:34:29 EDT
There is nothing suspcious in NFS server log during these events.
Comment 4 Fedora End Of Life 2013-12-21 08:35:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:25:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.